import React, { useEffect, useRef, useMemo, useState } from 'react';
import { Layout } from 'antd';
import { Outlet } from "react-router-dom";
import PageTransition from './PageTransition';
import Footer from './Footer';

const { Content } = Layout;

export default (props) => {  
  const [footerHeight, setFooterHeight] = useState(0);

  // 24 是 marginTop 的值
  const contentStyle = useMemo(() => ({ height: footerHeight > 0 ? `calc(100% - ${footerHeight + 24}px)` : '100%' }), [footerHeight]);
  
  useEffect(() => {
    const footerHeight = (document.querySelector('.ant-layout-footer') || {}).offsetHeight || 0;
    setFooterHeight(footerHeight);
  });

  return (
    <div className='layout-container'>
      <Content style={contentStyle}>
        {/* <PageTransition location={props.location}> */}
          <Outlet />
        {/* </PageTransition> */}
      </Content>
      {!props.noFooter && <Footer />}      
    </div>
  )
}
